The YSRS API utilizes the REST architecture so you can seamlessly integrate your app with YellowStone and the YSRBS Ecosystem.

Here’s how to get started:

  • Obtain API Key
  • Whitelist requestin server IPs
  • Create sandbox environments and set up testing tools

We’re here to help you integrate your app with RBS Apps and understand all the related moving parts.

Review this documentation to familiarize yourself and our API’s capabilities. They’ll give you a sense of what you can build and how to build it.

Server
https://public-api.lodgeical.us/api

Sandbox

https://api.rbsapps.com/api

Live

Server Variables
apiKey api_key

Use a valid API key to test the API endpoints. Since we use the API Key authentication, it's highly recommended to initiate the request from a server rather than the browser since the API Key is visible at the request header when originated from the browser.

Fields
KeyIn
x-api-keyHeader

Get Inventory Locations

This API endpoint will retrieve the list of inventory locations that are enabled for selling online in the YSRBS application.

Auth
Query String
inventoryLocationIDinteger

Inventory Location ID

GET /Inventory/GetInventoryLocations
Copy
Responses
200

Sucess Message

Root Type for GetInventoryLocationResponseobject

Inventory Location Response

inventoryLocationIDint32
clientIdint32
inventoryLocationNamestring
locationProfitCenterIdint32
locationProfitCenterstring
isPOSboolean
categoryTypeIDint32
categoryTypeNamestring
iconNamestring
sellOnlineboolean
isActiveboolean
isDeletedboolean
Response
Copy

Get Inventory Items

Get list of inventory items. Inventory items can be filter by the Item Number or by the inventory location ID

Auth
Query String
inventoryLocationIDinteger

Pass an inventory location ID to retrieve inventory items specific to the location.

itemNumberstring

Pass Item Numer to retrieve specific inventory item details.

GET /Inventory/GetInventoryItem
Copy
Responses
200

Sucess Message

Root Type for GetInventoryItemResponseTypeobject

Get Inventory Item Response Type Defination

inventoryIdint32
itemNumberstring
inventoryLocationIdint32
inventoryLocationNamestring
descriptionstring
sizestring
colorstring
quantityInHandint32
pricenumber

Post a Sale

Using this API endpoint, users can post a sale in YellowStone for an inventory location.

Auth
Request Body

Parameter Body test

objectobject
LocationIDinteger

Inventory location ID for which the sale was performed

InventoryItemarray[object]

Array of sale inventory items

Priceinteger

The price of the item that has been obtained from the GetInventoryItem endpoint.

InventoryIdinteger

Inventory ID of the item

Quantityinteger

Number of quantities sold

PurchaseDatedate-time

Date and time of the sale

AmountReceivednumber

Total amount received as part of the sale

POST /Sale/PostSale
Copy
Responses
200
No response body